<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <configuration>
                    <source>16</source>
                    <target>16</target>
                </configuration>
            </plugin>
        </plugins>
    </build>
    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>2.6.6</version>
        <relativePath/>
    </parent>

    <groupId>de.77zzcx7.nbs-cloud</groupId>
    <artifactId>nbs-cloud-aggregator</artifactId>
    <version>1-SNAPSHOT</version>
    <packaging>pom</packaging>
    <description>The umbrella for all No BullShit cloud projects</description>
    <name>nbs-cloud-aggregator</name>

    <modules>
        <module>files</module>
        <module>web-container</module>
    </modules>

    <properties>
        <maven.compiler.source>17</maven.compiler.source>
        <maven.compiler.target>17</maven.compiler.target>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <java.version>17</java.version>
    </properties>

    <distributionManagement>
        <snapshotRepository>
            <id>77zzcx7-snapshots</id>
            <url>http://192.168.10.4:8100/snapshots/</url>
        </snapshotRepository>
        <repository>
            <id>77zzcx7-releases</id>
            <url>http://192.168.10.4:8100/releases/</url>
        </repository>
    </distributionManagement>

    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>de.77zzc7.nbs-cloud</groupId>
                <artifactId>web-container</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>de.77zzc7.nbs-cloud</groupId>
                <artifactId>files</artifactId>
                <version>${project.version}</version>
            </dependency>
        </dependencies>
    </dependencyManagement>

</project>